Overview / System / Register a printer

Register a printer

post https://api.flactrum.com/v1/printers
Required scope devices.write
Success status201
Returns One Printer object

Request body

FieldTypeDescription
name * string —
branch_id * string —
role * string —
connection string —
paper_width_mm integer —
charset string —
is_active boolean —

Response fields

FieldTypeDescription
id string —
name string —
branch_id string —
role string kitchen prints the order number and lines; queue prints only the queue number for the customer.
connection string —
paper_width_mm integer —
charset string ESC/POS code page and encoding.
is_active boolean —
is_paired boolean Paired with the print helper on the computer the printer is plugged into.
is_online boolean The helper checked in during the last minute.
last_seen_at string|null —

Examples

No recorded example yet.